(* Mathematica Test File *)

Test[
	Operator[1]^10,
	Operator[1],
	TestID->"Power-20160701-Q9V2C7"
]

Test[
	Operator[0]^10,
	0,
	TestID->"Power-20160701-A2W9X4"
]

Test[
	Operator[A, {}, {15}],
	Operator[A]^15,
	TestID->"Power-20160701-Z5H4N1"
]

Test[
	(Operator[A]^9)[t],
	(Operator[A][t])^9,
	TestID->"Power-20160701-G5M8Y1"
]

Test[
	Operator[A, {i, j}, {5}],
	Operator[A, {i, j}, {}]^5,
	TestID->"Power-20160701-Z0R0N2"
]

Test[
	(Operator[A, {i, j}, {}]^7)[t],
	(Operator[A, {i, j}, {}][t])^7,
	TestID->"Power-20160701-X7X2U9"
]

Test[
	Exp[Operator[A]]^0,
	Operator[1],
	TestID->"Power-20160701-K1E3I7"
]

Test[
	Operator[0]^0,
	Indeterminate,
	TestID->"Power-20160701-N7I1G6"
]

Test[
	(Operator[P]^-1) ** Operator[P],
	Operator[1],
	TestID->"Power-20160701-I7Q2G1"
]

Test[
	Operator[P] ** (Operator[P]^-1),
	Operator[1],
	TestID->"Power-20160701-R8N5D8"
]

