(* Mathematica Test File *)

(*	What a Ket is
*)
Test[
	KetExpressionQ[Ket[m1]],
	True,
	TestID->"Bra-20160502-T2K7P1"
]

Test[
	KetExpressionQ[Ket[m1] + Ket[m2]],
	True,
	TestID->"Analyze-20160502-D8N8A1"
]

Test[
	KetExpressionQ[\[Lambda] Ket[m1]],
	True,
	TestID->"Operator-20160502-W0O9N7"
]

Test[
	KetExpressionQ[Operator[V] ** Ket[m2]],
	True,
	TestID->"Operator-20160502-W7S7R9"
]

Test[
	KetExpressionQ[Unevaluated[Hermitian[Bra[m1]]]],
	True,
	TestID->"Operator-20160502-H3G7F1"
]

Test[
	KetExpressionQ[Sum[Ket[a,{i},{}],{i,1,Infinity}]],
	True,
	TestID->"Ket-20160518-N3C2G8"
]

(*	What a Ket is not
*)
Test[
	KetExpressionQ[Ket[]],
	False,
	TestID->"Analyze-20160503-H2F2R8"
]

Test[
	KetExpressionQ[Bra[m1]],
	False,
	TestID->"Operator-20160502-F3A5H8"
]

Test[
	KetExpressionQ[Exp[Ket[m1]]],
	False,
	TestID->"Operator-20160502-S2L9V9"
]
